# Class: DerivedDescriptor

## DerivedDescriptor

#### new DerivedDescriptor()

A derived descriptor is calculated by using other property descriptors of the object.

Source:
  - core/meta/derived-descriptor.js, line 9

### Members

#### dependencies :Array.<PropertyDescriptor>

List of property descriptors this derived property descriptor depends on.

##### Type:

- Array.<PropertyDescriptor>

Default Value:
  - []
Source:
  - core/meta/derived-descriptor.js, line 74

#### getterDefinition :string

##### Type:

- string

Source:
  - core/meta/derived-descriptor.js, line 83

#### isDerived :boolean

##### Type:

- boolean

Default Value:
  - true
Source:
  - core/meta/derived-descriptor.js, line 52

#### setterDefinition :string

##### Type:

- string

Source:
  - core/meta/derived-descriptor.js, line 90